***Lectura de los datos.
*Pegar aqu el procedimiento GET DATA.

***Transformacin del contenido de las variables cadena a depurara a mayscula,
   si los caracteres minscula y mayscula representan el mismo cdigo o valor.
*COMPUTE Var= UPCASE(Var).

***Asignacin de identificadores y variable con el orden secuencial de los sujetos.
COMPUTE @CaseNum= $casenum. 
FORMATS @CaseNum (F6).
COMPUTE @Id=Caso.     /*Caso es el nombre de la variable identificadora de los sujetos.
FORMATS @Id (F6).
EXECUTE.

**OPCIONAL: Fechas en formato DD.MM.YYYY .
*FORMATS ListaVarFecha (EDATE10).


***CORRECCIN de los identificadores.
  *Ejemplos de correccin.
  *Eliminar el registro 33 duplicado: SELECT IF (@CaseNum<>33). 
  *Corregir el valor de un identificador numrico Vn: Asignar 166 al registro 35: IF @CaseNum=35 Vn=166.



***CORRECCIN del resto de variables.
  *Ejemplos de correccin.
  *Corregir la variable numrica Vn: Asignar 1 al caso 173: IF @Id=173 Vn=1.
  *Corregir la variable cadena Vc:   Asignar M al caso 181: IF @Id=181 Vc='M'.
  *Corregir la variable fecha Vf: Asignar SYSMIS al caso 9: IF @Id=9 Vf=DATE.DMY($SYSMIS,0,0).



***Depuracin del IDENTIFICADOR.
  *Ejemplos de llamada.
*'*Macro: !DR V= Caso /DUP=1 .  ***'.
*'*Macro: !DR V= Caso /DUP=1 /VL=1 THRU 75 /ND=0 .  /'*Adems comprueba que Caso=1 a 75, sin decimales.


***Comprobacin de las variables del estudio.
  *Ejemplos de llamada.
*'*Macro: !DR V= Vn1 /VL=0,1,2,9 /ND=0 /SYSMIS=1.  /'*Comprueba que Vn1=0,1,2,3,9, sin dec., sin missings.
*'*Macro: !DR V= Vn2 /VL=1.40 THRU 2.00 /ND=2.     /'*Comprueba que Vn2=1.40 a 2.00 con mximo 2 decimales.
*'*Macro: !DR V= Vc1 /VL='M','F',' ' .             /'*Comprueba que Vc1=M,F o blanco.
*'*Macro: !DR V= Vf1 /DI=di,mi,yyyi /DF=df,mf,mmmf.  /'*Comprueba que Vf1 est entre di-mi-aaai y df-mf-yyyf.
*'*Macro: !DR V= Vf1 /DD=Vfr-Vf1 /DDl=365.25*18 /DDu=365.25*85.  /'*Comprueba que Vfr-Vf1=18 a 85 aos.
*'*Macro: !DR V= Vc3 /VK=Vc /F=A6 /TABLE='C:\...\Dic.SAV'. /'*Comprueba que Vc3 coincida con un valor de Vc.
                                                             *que est en la tabla Dic.SAV y tiene formato A6.



***Informe de INCIDENCIAS.
  *Ejemplo de llamada.
*'*Macro: !INCIDEN V= @Var1 @var2 .  ***'.

***Grabar los datos depurados en formato SPSS.
  *Pegar aqu el procedimiento SAVE. Ejemplo:. 
  *   SAVE OUTFILE='C:\...\Nombre.SAV' /KEEP=Var1 to VarN.
